package com.uas.platform.b2b.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.model.PurchaseReturn;
import com.uas.platform.b2b.model.PurchaseReturnItem;
import com.uas.platform.core.model.PageInfo;

public interface PurchaseReturnService {

	/**
	 * 批量保存、修改客户采购验退单
	 * 
	 * @param changeItems
	 * @return
	 */
	public void save(List<PurchaseReturnItem> returnItems);
	
	/**
	 * 获取需要上传（到卖方）的未上传采购验退单
	 * @return
	 */
	public List<PurchaseReturn> findNotUpload();
	
	/**
	 * 上传好需要上传的客户采购验退单后修改单据的上传状态
	 * @param idArray
	 */
	public void onUploadSuccess(String[] idArray);

	/**
	 * 分页查找客户采购验收，包括明细
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<PurchaseReturn> findAllByPageInfo(PageInfo pageInfo);
	
	/**
	 * 用变更单ID查找客户采购验收
	 * 
	 * @param id
	 * @return
	 */
	public PurchaseReturn findById(Long id);

}
